//
//  NowPlayingBar.swift
//  PodcastsApp
//
//  Created by BREUIL Yohann on 14/05/2023.
//

import SwiftUI

struct NowPlayingBar : View {
    var body: some View {
        ZStack {
            Rectangle()
                .foregroundColor(Color.black.opacity(0.2))
                .frame(width: UIScreen.main.bounds.size.width, height: 65)
            HStack {
                Button(action: {}) {
                    HStack {
                        Image("Cover")
                            .resizable()
                            .frame(width: 45, height: 45)
                            .shadow(radius: 6, x: 0, y: 3)
                            .padding(.leading)
                        Text("Shake It Off").padding(.leading, 10)
                        Spacer()
                    }
                }
                .buttonStyle(PlainButtonStyle())
                
                Button(action: {}) {
                    Image(systemName: "play.fill").font(.title3)
                }
                .buttonStyle(PlainButtonStyle()).padding(.horizontal)
                
                Button(action: {}) {
                    Image(systemName: "forward.fill").font(.title3)
                }
                .buttonStyle(PlainButtonStyle())
                .padding(.trailing, 30)
            }
        }
        
    }
    
}

struct NowPlayingBar_Previews: PreviewProvider {
    static var previews: some View {
        NowPlayingBar()
    }
}
